%delete('bal.avi');
clear all;
pic = imread('ball1.bmp');

% Set parameters for new AVI file
framesPerSec = 15;

%Create a new AVI file
aviobj = avifile('bal.avi','fps',framesPerSec,'COMPRESSION','RLE');

%Movie gets the first frame
Obj = im2frame(pic, gray(256));
aviobj = addframe(aviobj,Obj);

for i=2:322
    
    up = -5;
    right = 5; 
    down = 5;
    left = -2;

    [row,col]=find(pic==0);
    
        for j=1:size(row,1)
            pic(row(j),col(j)) = 255;
        end
        
        if i < 82
            newrow = row - 3;
            newcol = col + 3;
        elseif i >= 82 & i < 162
            newrow = row;
            newcol = col - 3;
        elseif i >= 162 & i < 242
            newrow = row + 3;
            newcol = col + 3;
        elseif i > 242 & i < 322
            newrow = row;
            newcol = col - 3;
            
        end
            
    %Paint the ball into the image at new location
    for k=1:size(newrow,1)
        pic(newrow(k),newcol(k)) = 0;
    end
    
    %Movie gets the next frame from the  image
    Obj = im2frame(pic, gray(256));  
    aviobj = addframe(aviobj,Obj);
    
end
aviobj = close(aviobj);
